Subject: Re: [PATCH v6 1/6] clang-format: indent preprocessor directives after hash

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 24 Jul 2024 08:50:12 +0200

On Tue, Jul 23, 2024 at 10:21:06AM +0200, Karthik Nayak wrote:
> We do not have a rule around the indentation of preprocessor directives.
> This was also discussed on the list [1], noting how there is often
> inconsistency in the styling. While there was discussion, there was no
> conclusion around what is the preferred style here. One style being
> indenting after the hash:
> 
>     #if FOO
>     #  if BAR
>     #    include <foo>
>     #  endif
>     #endif
> 
> The other being before the hash:
> 
>     #if FOO
>       #if BAR
>         #include <foo>
>       #endif
>     #endif
> 
> Let's pick the former and add 'IndentPPDirectives: AfterHash' value to
> our '.clang-format'. There is no clear reason to pick one over the
> other, but it would definitely be nicer to be consistent.
> 
> [1]: https://lore.kernel.org/r/[email-masked]
> 
> Signed-off-by: Karthik Nayak <[email-masked]>

This doesn't necessarily have to be part of this patch series, but I
think that we should document this as part of our CodingGuidelines, as
well. I planned to send an update to the coding guidelines soon anyway,
so I can handle that once this topic lands.

Patrick